(define empeg-cmap (hexstr->bytes "000000202020a0a0a0ffffff"))

(define (script-fu-empeg-new)
  (let* ((width 128)
         (height 32)
         (img (car (gimp-image-new width height INDEXED)))
         (home-layer (car (gimp-layer-new img width height INDEXED_IMAGE "home" 100.0 NORMAL)))
         (car-layer  (car (gimp-layer-new img width height INDEXED_IMAGE "car"  100.0 NORMAL))))

    (gimp-image-set-cmap img (length empeg-cmap) empeg-cmap)
    (gimp-palette-set-background '(0 0 0))
    (gimp-palette-set-foreground '(255 255 255))

    (gimp-selection-all img)

    (gimp-image-add-layer img home-layer -1)
    (gimp-edit-fill home-layer BG-IMAGE-FILL)
    (gimp-layer-set-visible home-layer FALSE)

    (gimp-image-add-layer img car-layer -1)
    (gimp-edit-fill car-layer BG-IMAGE-FILL)

    (gimp-image-clean-all img)
    (gimp-display-new img)
    img))


(script-fu-register "script-fu-empeg-new"
                    "<Toolbox>/Xtns/Script-Fu/Empeg/New Logo"
                    "Create a new Empeg-Car logo (128x32, 4 colors)"
                    "Toby Speight"
                    "Copyright 2002 Toby Speight.  All rights reserved."
                    "February 2002"
                    "")
